Bug 1203811 - update to go1.4 :: for etcd requirement
Summary: update to go1.4 :: for etcd requirement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 17:43 UTC by Vincent Batts
Modified: 2015-04-06 18:11 UTC (History)
7 users (show)

Fixed In Version: golang-1.4.2-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:52:43 UTC


Attachments (Terms of Use)

Description Vincent Batts 2015-03-19 17:43:22 UTC
Since golang is forward compatible, all applications that build with go1.3.3 will stay compatible. But allow upstream requirements of go1.4 to be satisfied.

https://github.com/coreos/etcd/issues/2524

Comment 1 Fedora Update System 2015-03-19 17:45:43 UTC
golang-1.4.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.4.2-2.el6

Comment 2 Fedora Update System 2015-03-19 17:47:51 UTC
golang-1.4.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-1.4.2-2.fc20

Comment 3 Vincent Batts 2015-03-19 17:48:25 UTC
with this update, emacs-vim and golang-vim are removed

Comment 4 Fedora Update System 2015-03-19 17:52:14 UTC
golang-1.4.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-1.4.2-2.fc21

Comment 5 Fedora Update System 2015-03-19 17:53:02 UTC
golang-1.4.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-1.4.2-2.fc22

Comment 6 Fedora Update System 2015-03-20 04:53:02 UTC
Package golang-1.4.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-1.4.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1331/golang-1.4.2-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-31 21:52:43 UTC
golang-1.4.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-31 21:53:21 UTC
golang-1.4.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-31 21:55:59 UTC
golang-1.4.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-06 18:11:15 UTC
golang-1.4.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.